Skip to main content
GET
/
robots
/
{robotId}
/
actions
/
{executionId}
Queries the status of an action execution reported by a robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/actions/{executionId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "startTs": 123,
  "lastUpdateTs": 123,
  "executionId": "<string>",
  "statusDetails": "<string>",
  "returnCode": 123,
  "stderr": "<string>",
  "stdout": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

executionId
string
required

The action executionId of a previously triggered action

Response

200 - application/json

Current status of the action execution

An action execution status, including return code and outputs

status
enum<string>
required

Execution status

Available options:
started,
finished,
aborted
startTs
integer
required

timestamp (unix epoch millis) when the action execution started

lastUpdateTs
integer
required

timestamp (unix epoch millis) when the action status was last updated

executionId
string

ID that identifies the action execution and can be used to later query it's status. Only the execution of actions of type RunScript have an associated executionId.

statusDetails
string

Optional extra information related to the status

returnCode
integer
stderr
string
stdout
string